# Generated by Django 4.0 on 2023-11-02 16:16

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('core', '0116_alter_budget_options'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sso_username', models.CharField(help_text='Nutzername für SSO-Provider (AStA-Kennung oder LRZ-ID)', max_length=64, verbose_name='SSO-Kennung')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='auth.user')),
            ],
            options={
                'verbose_name': 'Profildaten',
                'verbose_name_plural': 'Profildaten',
            },
        ),
    ]
